For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddQueue
        • POSTBindUserToQueue
        • POSTDelQueue
        • POSTSetQueueInfo
        • POSTGetQueues
        • POSTGetACDState
        • POSTGetACDOperatorStatistics
        • POSTGetACDQueueStatistics
        • POSTGetACDOperatorStatusStatistics
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceQueues

GetACDOperatorStatistics

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetACDOperatorStatistics
POST
/platform_api/GetACDOperatorStatistics
$curl -X POST "https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28%2017%3A30%3A00&user_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "user_id": 1768,
5 "statistics": [
6 {
7 "date": "2021-04-08",
8 "TT": {
9 "min": 31,
10 "avg": 234,
11 "max": 740,
12 "count": 18,
13 "sum": 4226
14 },
15 "AC": 18
16 },
17 {
18 "date": "2021-04-09",
19 "TT": {
20 "min": 34,
21 "avg": 178,
22 "max": 1089,
23 "count": 29,
24 "sum": 5170
25 },
26 "AC": 29
27 }
28 ]
29 },
30 {
31 "user_id": 1769,
32 "statistics": [
33 {
34 "date": "2021-04-08",
35 "TT": {
36 "min": 3,
37 "avg": 115,
38 "max": 591,
39 "count": 112,
40 "sum": 12948
41 },
42 "AC": 112
43 },
44 {
45 "date": "2021-04-09",
46 "TT": {
47 "min": 3,
48 "avg": 107,
49 "max": 396,
50 "count": 110,
51 "sum": 11799
52 },
53 "AC": 110
54 }
55 ]
56 }
57 ]
58}
Get statistics for calls distributed to users (referred as 'operators') via the 'ACD' module. This method can filter statistic based on operator ids, queue ids and date-time interval. It can also group results by day or hour. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`. **Example request:** Get AC and TT statistics for two operators and the queue from the specified date.
Was this page helpful?
Previous

GetACDState

Next

GetACDQueueStatistics

Built with

Get statistics for calls distributed to users (referred as ‘operators’) via the ‘ACD’ module. This method can filter statistic based on operator ids, queue ids and date-time interval. It can also group results by day or hour.

Allowed roles: Owner, Admin, Developer, Supervisor, User manager.

Example request: Get AC and TT statistics for two operators and the queue from the specified date.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

Date and time of statistics interval begin. Time zone is UTC, format is 24-h ‘YYYY-MM-DD HH:mm:ss’

to_datestringOptionalDefaults to current date and time

Date and time of statistics interval begin. Time zone is UTC, format is 24-h ‘YYYY-MM-DD HH:mm:ss’

acd_queue_idlist of integersOptional

The ACD queue ID list separated by semicolons (;). Use the ‘all’ value to select all ACD queues

user_idlist of integersRequired

The user ID list separated by semicolons (;). Use the ‘all’ value to select all users

abbreviationbooleanOptionalDefaults to true

Whether key names in returned JSON are abbreviated to reduce response byte size. The abbreviations are: ‘SA’ for ‘SpeedOfAnswer’, ‘HT’ for ‘HandlingTime’, ‘TT’ for ‘TalkTime’, ‘ACW’ for ‘AfterCallWork’, ‘TDT’ for ‘TotalDialingTime’, ‘THT’ for ‘TotalHandlingTime’, ‘TTT’ for ‘TotalTalkTime’, ‘TACW’ for ‘TotalAfterCallWork’, ‘AC’ for ‘AnsweredCalls’, ‘UAC’ for ‘UnansweredCalls’

reportlist of stringsOptional

List of item names abbreviations separated by semicolons (;). Returned JSON includes keys only for the selected items. Special ‘all’ value defines all possible items, see [ACDOperatorStatisticsType] for a complete list. See ‘abbreviation’ description for complete abbreviation list

aggregationstringOptionalDefaults to none

Specifies how records are grouped by date and time. If set to ‘day’, the criteria is a day number. If set to ‘hour_of_day’, the criteria is a 60-minute interval within a day. If set to ‘hour’, the criteria is both day number and 60-minute interval within that day. If set to ‘none’, records are not grouped by date and time

groupstringOptionalDefaults to user

If set to ‘user’, first-level array in the resulting JSON groups records by the user ID, and second-level array groups them by date according to the ‘aggregation’ parameter. If set to ‘aggregation’, first-level array in the resulting JSON groups records according to the ‘aggregation’ parameter, and second-level array groups them by the user ID

Response

Successful response
resultlist of objects
List of groups, grouped by user ID or date according to the 'group' method call argument

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.